mbedtls_cipher_info_t Struct Reference

Cipher information. More...

`#include <cipher.h>`

Collaboration diagram for mbedtls_cipher_info_t:
[legend]

## Data Fields

mbedtls_cipher_type_t | type
| Full cipher identifier (e.g. More...
mbedtls_cipher_mode_t | mode
| Cipher mode (e.g. More...
unsigned int | key_bitlen
| Cipher key length, in bits (default length for variable sized ciphers) (Includes parity bits for ciphers like DES) More...
const char * | name
| Name of the cipher. More...
unsigned int | iv_size
| IV/NONCE size, in bytes. More...
int | flags
| Flags for variable IV size, variable key size, etc. More...
unsigned int | block_size
| block size, in bytes More...
const mbedtls_cipher_base_t * | base
| Base cipher information and functions. More...

## Detailed Description

Cipher information.

Allows cipher functions to be called in a generic way.

Definition at line 181 of file cipher.h.

## Field Documentation

const mbedtls_cipher_base_t* mbedtls_cipher_info_t::base

Base cipher information and functions.

Definition at line 206 of file cipher.h.

unsigned int mbedtls_cipher_info_t::block_size

block size, in bytes

Definition at line 203 of file cipher.h.

Referenced by mbedtls_cipher_get_block_size().

int mbedtls_cipher_info_t::flags

Flags for variable IV size, variable key size, etc.

Definition at line 200 of file cipher.h.

unsigned int mbedtls_cipher_info_t::iv_size

IV/NONCE size, in bytes.

For cipher that accept many sizes: recommended size

Definition at line 197 of file cipher.h.

Referenced by mbedtls_cipher_get_iv_size().

unsigned int mbedtls_cipher_info_t::key_bitlen

Cipher key length, in bits (default length for variable sized ciphers) (Includes parity bits for ciphers like DES)

Definition at line 190 of file cipher.h.

Referenced by mbedtls_cipher_get_key_bitlen().

mbedtls_cipher_mode_t mbedtls_cipher_info_t::mode

Cipher mode (e.g.

MBEDTLS_MODE_CBC)

Definition at line 186 of file cipher.h.

Referenced by mbedtls_cipher_get_cipher_mode().

const char* mbedtls_cipher_info_t::name

Name of the cipher.

Definition at line 193 of file cipher.h.

Referenced by mbedtls_cipher_get_name().

mbedtls_cipher_type_t mbedtls_cipher_info_t::type

Full cipher identifier (e.g.

MBEDTLS_CIPHER_AES_256_CBC)

Definition at line 183 of file cipher.h.

Referenced by mbedtls_cipher_get_type().

The documentation for this struct was generated from the following file:

- cipher.h